// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

/**
 * <pre>
 * Switch status profile
 * </pre>
 *
 * Protobuf type {@code switchmodule.SwitchStatusProfile}
 */
public final class SwitchStatusProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:switchmodule.SwitchStatusProfile)
    SwitchStatusProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use SwitchStatusProfile.newBuilder() to construct.
  private SwitchStatusProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private SwitchStatusProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new SwitchStatusProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatusProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatusProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.switchmodule.SwitchStatusProfile.class, openfmb.switchmodule.SwitchStatusProfile.Builder.class);
  }

  public static final int STATUSMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasStatusMessageInfo() {
    return statusMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }

  public static final int PROTECTEDSWITCH_FIELD_NUMBER = 2;
  private openfmb.switchmodule.ProtectedSwitch protectedSwitch_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the protectedSwitch field is set.
   */
  @java.lang.Override
  public boolean hasProtectedSwitch() {
    return protectedSwitch_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The protectedSwitch.
   */
  @java.lang.Override
  public openfmb.switchmodule.ProtectedSwitch getProtectedSwitch() {
    return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.ProtectedSwitchOrBuilder getProtectedSwitchOrBuilder() {
    return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
  }

  public static final int SWITCHSTATUS_FIELD_NUMBER = 3;
  private openfmb.switchmodule.SwitchStatus switchStatus_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the switchStatus field is set.
   */
  @java.lang.Override
  public boolean hasSwitchStatus() {
    return switchStatus_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The switchStatus.
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchStatus getSwitchStatus() {
    return switchStatus_ == null ? openfmb.switchmodule.SwitchStatus.getDefaultInstance() : switchStatus_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchStatusOrBuilder getSwitchStatusOrBuilder() {
    return switchStatus_ == null ? openfmb.switchmodule.SwitchStatus.getDefaultInstance() : switchStatus_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusMessageInfo_ != null) {
      output.writeMessage(1, getStatusMessageInfo());
    }
    if (protectedSwitch_ != null) {
      output.writeMessage(2, getProtectedSwitch());
    }
    if (switchStatus_ != null) {
      output.writeMessage(3, getSwitchStatus());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusMessageInfo());
    }
    if (protectedSwitch_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getProtectedSwitch());
    }
    if (switchStatus_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getSwitchStatus());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.switchmodule.SwitchStatusProfile)) {
      return super.equals(obj);
    }
    openfmb.switchmodule.SwitchStatusProfile other = (openfmb.switchmodule.SwitchStatusProfile) obj;

    if (hasStatusMessageInfo() != other.hasStatusMessageInfo()) return false;
    if (hasStatusMessageInfo()) {
      if (!getStatusMessageInfo()
          .equals(other.getStatusMessageInfo())) return false;
    }
    if (hasProtectedSwitch() != other.hasProtectedSwitch()) return false;
    if (hasProtectedSwitch()) {
      if (!getProtectedSwitch()
          .equals(other.getProtectedSwitch())) return false;
    }
    if (hasSwitchStatus() != other.hasSwitchStatus()) return false;
    if (hasSwitchStatus()) {
      if (!getSwitchStatus()
          .equals(other.getSwitchStatus())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusMessageInfo()) {
      hash = (37 * hash) + STATUSMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getStatusMessageInfo().hashCode();
    }
    if (hasProtectedSwitch()) {
      hash = (37 * hash) + PROTECTEDSWITCH_FIELD_NUMBER;
      hash = (53 * hash) + getProtectedSwitch().hashCode();
    }
    if (hasSwitchStatus()) {
      hash = (37 * hash) + SWITCHSTATUS_FIELD_NUMBER;
      hash = (53 * hash) + getSwitchStatus().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.switchmodule.SwitchStatusProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Switch status profile
   * </pre>
   *
   * Protobuf type {@code switchmodule.SwitchStatusProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:switchmodule.SwitchStatusProfile)
      openfmb.switchmodule.SwitchStatusProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatusProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatusProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.switchmodule.SwitchStatusProfile.class, openfmb.switchmodule.SwitchStatusProfile.Builder.class);
    }

    // Construct using openfmb.switchmodule.SwitchStatusProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      protectedSwitch_ = null;
      if (protectedSwitchBuilder_ != null) {
        protectedSwitchBuilder_.dispose();
        protectedSwitchBuilder_ = null;
      }
      switchStatus_ = null;
      if (switchStatusBuilder_ != null) {
        switchStatusBuilder_.dispose();
        switchStatusBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatusProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatusProfile getDefaultInstanceForType() {
      return openfmb.switchmodule.SwitchStatusProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatusProfile build() {
      openfmb.switchmodule.SwitchStatusProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatusProfile buildPartial() {
      openfmb.switchmodule.SwitchStatusProfile result = new openfmb.switchmodule.SwitchStatusProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.switchmodule.SwitchStatusProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusMessageInfo_ = statusMessageInfoBuilder_ == null
            ? statusMessageInfo_
            : statusMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.protectedSwitch_ = protectedSwitchBuilder_ == null
            ? protectedSwitch_
            : protectedSwitchBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.switchStatus_ = switchStatusBuilder_ == null
            ? switchStatus_
            : switchStatusBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.switchmodule.SwitchStatusProfile) {
        return mergeFrom((openfmb.switchmodule.SwitchStatusProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.switchmodule.SwitchStatusProfile other) {
      if (other == openfmb.switchmodule.SwitchStatusProfile.getDefaultInstance()) return this;
      if (other.hasStatusMessageInfo()) {
        mergeStatusMessageInfo(other.getStatusMessageInfo());
      }
      if (other.hasProtectedSwitch()) {
        mergeProtectedSwitch(other.getProtectedSwitch());
      }
      if (other.hasSwitchStatus()) {
        mergeSwitchStatus(other.getSwitchStatus());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getProtectedSwitchFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getSwitchStatusFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> statusMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusMessageInfo field is set.
     */
    public boolean hasStatusMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusMessageInfo.
     */
    public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
      if (statusMessageInfoBuilder_ == null) {
        return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      } else {
        return statusMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusMessageInfo_ = value;
      } else {
        statusMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(
        openfmb.commonmodule.StatusMessageInfo.Builder builderForValue) {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfo_ = builderForValue.build();
      } else {
        statusMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusMessageInfo_ != null &&
          statusMessageInfo_ != openfmb.commonmodule.StatusMessageInfo.getDefaultInstance()) {
          getStatusMessageInfoBuilder().mergeFrom(value);
        } else {
          statusMessageInfo_ = value;
        }
      } else {
        statusMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfo.Builder getStatusMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
      if (statusMessageInfoBuilder_ != null) {
        return statusMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return statusMessageInfo_ == null ?
            openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> 
        getStatusMessageInfoFieldBuilder() {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder>(
                getStatusMessageInfo(),
                getParentForChildren(),
                isClean());
        statusMessageInfo_ = null;
      }
      return statusMessageInfoBuilder_;
    }

    private openfmb.switchmodule.ProtectedSwitch protectedSwitch_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder> protectedSwitchBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the protectedSwitch field is set.
     */
    public boolean hasProtectedSwitch() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The protectedSwitch.
     */
    public openfmb.switchmodule.ProtectedSwitch getProtectedSwitch() {
      if (protectedSwitchBuilder_ == null) {
        return protectedSwitch_ == null ? openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
      } else {
        return protectedSwitchBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setProtectedSwitch(openfmb.switchmodule.ProtectedSwitch value) {
      if (protectedSwitchBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        protectedSwitch_ = value;
      } else {
        protectedSwitchBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setProtectedSwitch(
        openfmb.switchmodule.ProtectedSwitch.Builder builderForValue) {
      if (protectedSwitchBuilder_ == null) {
        protectedSwitch_ = builderForValue.build();
      } else {
        protectedSwitchBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeProtectedSwitch(openfmb.switchmodule.ProtectedSwitch value) {
      if (protectedSwitchBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          protectedSwitch_ != null &&
          protectedSwitch_ != openfmb.switchmodule.ProtectedSwitch.getDefaultInstance()) {
          getProtectedSwitchBuilder().mergeFrom(value);
        } else {
          protectedSwitch_ = value;
        }
      } else {
        protectedSwitchBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearProtectedSwitch() {
      bitField0_ = (bitField0_ & ~0x00000002);
      protectedSwitch_ = null;
      if (protectedSwitchBuilder_ != null) {
        protectedSwitchBuilder_.dispose();
        protectedSwitchBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.ProtectedSwitch.Builder getProtectedSwitchBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getProtectedSwitchFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.ProtectedSwitchOrBuilder getProtectedSwitchOrBuilder() {
      if (protectedSwitchBuilder_ != null) {
        return protectedSwitchBuilder_.getMessageOrBuilder();
      } else {
        return protectedSwitch_ == null ?
            openfmb.switchmodule.ProtectedSwitch.getDefaultInstance() : protectedSwitch_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.ProtectedSwitch protectedSwitch = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder> 
        getProtectedSwitchFieldBuilder() {
      if (protectedSwitchBuilder_ == null) {
        protectedSwitchBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.ProtectedSwitch, openfmb.switchmodule.ProtectedSwitch.Builder, openfmb.switchmodule.ProtectedSwitchOrBuilder>(
                getProtectedSwitch(),
                getParentForChildren(),
                isClean());
        protectedSwitch_ = null;
      }
      return protectedSwitchBuilder_;
    }

    private openfmb.switchmodule.SwitchStatus switchStatus_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchStatus, openfmb.switchmodule.SwitchStatus.Builder, openfmb.switchmodule.SwitchStatusOrBuilder> switchStatusBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the switchStatus field is set.
     */
    public boolean hasSwitchStatus() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The switchStatus.
     */
    public openfmb.switchmodule.SwitchStatus getSwitchStatus() {
      if (switchStatusBuilder_ == null) {
        return switchStatus_ == null ? openfmb.switchmodule.SwitchStatus.getDefaultInstance() : switchStatus_;
      } else {
        return switchStatusBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setSwitchStatus(openfmb.switchmodule.SwitchStatus value) {
      if (switchStatusBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        switchStatus_ = value;
      } else {
        switchStatusBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setSwitchStatus(
        openfmb.switchmodule.SwitchStatus.Builder builderForValue) {
      if (switchStatusBuilder_ == null) {
        switchStatus_ = builderForValue.build();
      } else {
        switchStatusBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeSwitchStatus(openfmb.switchmodule.SwitchStatus value) {
      if (switchStatusBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          switchStatus_ != null &&
          switchStatus_ != openfmb.switchmodule.SwitchStatus.getDefaultInstance()) {
          getSwitchStatusBuilder().mergeFrom(value);
        } else {
          switchStatus_ = value;
        }
      } else {
        switchStatusBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearSwitchStatus() {
      bitField0_ = (bitField0_ & ~0x00000004);
      switchStatus_ = null;
      if (switchStatusBuilder_ != null) {
        switchStatusBuilder_.dispose();
        switchStatusBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.SwitchStatus.Builder getSwitchStatusBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getSwitchStatusFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.switchmodule.SwitchStatusOrBuilder getSwitchStatusOrBuilder() {
      if (switchStatusBuilder_ != null) {
        return switchStatusBuilder_.getMessageOrBuilder();
      } else {
        return switchStatus_ == null ?
            openfmb.switchmodule.SwitchStatus.getDefaultInstance() : switchStatus_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatus switchStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchStatus, openfmb.switchmodule.SwitchStatus.Builder, openfmb.switchmodule.SwitchStatusOrBuilder> 
        getSwitchStatusFieldBuilder() {
      if (switchStatusBuilder_ == null) {
        switchStatusBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.SwitchStatus, openfmb.switchmodule.SwitchStatus.Builder, openfmb.switchmodule.SwitchStatusOrBuilder>(
                getSwitchStatus(),
                getParentForChildren(),
                isClean());
        switchStatus_ = null;
      }
      return switchStatusBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:switchmodule.SwitchStatusProfile)
  }

  // @@protoc_insertion_point(class_scope:switchmodule.SwitchStatusProfile)
  private static final openfmb.switchmodule.SwitchStatusProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.switchmodule.SwitchStatusProfile();
  }

  public static openfmb.switchmodule.SwitchStatusProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<SwitchStatusProfile>
      PARSER = new com.google.protobuf.AbstractParser<SwitchStatusProfile>() {
    @java.lang.Override
    public SwitchStatusProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<SwitchStatusProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<SwitchStatusProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.switchmodule.SwitchStatusProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

